Skip to main content
`Ctrl`+`K`

# BasePeriodogram

class astropy.timeseries.BasePeriodogram(t, y, dy=None)

  Bases: `object`

  Methods Summary

  `from_timeseries`(timeseries[, ...]) | Initialize a periodogram from a time series object.

  Methods Documentation

  classmethod from_timeseries(timeseries, signal_column_name=None, uncertainty=None, **kwargs)

    Initialize a periodogram from a time series object.

    If a binned time series is passed, the time at the center of the bins is used. Also note that this method automatically gets rid of NaN/undefined values when initializing the periodogram.

    Parameters:
      signal_column_name `python:str`

        The name of the column containing the signal values to use.

      uncertainty `python:str` or `python:float` or `Quantity`, optional

        The name of the column containing the errors on the signal, or the value to use for the error, if a scalar.

      **kwargs

        Additional keyword arguments are passed to the initializer for this periodogram class.